Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "text-to-speech",
    "input": {
      "model": "elevenlabs-tts",
      "prompt": "Hello, welcome to Artificial Studio!",
      "voice": "Aria"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "text-to-speech",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits1 credit per 10 characters
Tooltext-to-speech

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYestext-to-speech
input.modelstringYeselevenlabs-tts
input.promptstringYesText to convert to speech (max 3000 characters)
input.voicestringNoVoice to use (default: Adam). See available voices below

Available Voices

Adam, Alice, Antoni, Aria, Bill, Brian, Callum, Charlotte, Chris, Daniel, Eric, Matilda, Jessica, Laura, Liam, Lily, River, Roger, Sarah, Will.
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "text-to-speech",
    "input": {
      "model": "elevenlabs-tts",
      "prompt": "Hello, welcome to Artificial Studio!",
      "voice": "Aria"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "text-to-speech",
  "createdAt": "2024-01-15T10:30:00.000Z"
}